#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with	tests	# tests (display required)

%define		module		PyOpenGL
Summary:	OpenGL bindings for Python
Summary(pl.UTF-8):	Dowiązania do OpenGL dla Pythona
Name:		python-%{module}
Version:	3.1.0
Release:	3
Epoch:		1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/pyopengl/
Source0:	https://files.pythonhosted.org/packages/source/p/pyopengl/%{module}-%{version}.tar.gz
# Source0-md5:	0de021941018d46d91e5a8c11c071693
Source1:	http://downloads.sourceforge.net/pyopengl/%{module}-Demo-3.0.1a1.tar.gz
# Source1-md5:	75b66abdf2d0e5003798c0fa12abee6e
URL:		http://pyopengl.sourceforge.net/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-numpy
BuildRequires:	python-pygame
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-numpy
BuildRequires:	python3-pygame
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
Requires:	python-numpy
Obsoletes:	PyOpenGL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenGL bindings for Python including support for GL extensions, GLU,
WGL, GLUT, GLE, and Tk.

%description -l pl.UTF-8
Dowiązania do OpenGL dla Pythona wraz z rozszerzeniami GL, GLU, WGL,
GLUT, GLE i Tk.

%package examples
Summary:	Demos for PyOpenGL
Summary(pl.UTF-8):	Programy demonstracyjne dla pakietu PyOpenGL
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Demos for PyOpenGL.

%description examples -l pl.UTF-8
Programy demonstracyjne dla pakietu PyOpenGL.

%package -n python3-%{module}
Summary:	OpenGL bindings for Python
Summary(pl.UTF-8):	Dowiązania do OpenGL dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2
Requires:	python3-numpy

%description -n python3-%{module}
OpenGL bindings for Python including support for GL extensions, GLU,
WGL, GLUT, GLE, and Tk.

%description -n python3-%{module} -l pl.UTF-8
Dowiązania do OpenGL dla Pythona wraz z rozszerzeniami GL, GLU, WGL,
GLUT, GLE i Tk.

%package -n python3-%{module}-examples
Summary:	Demos for PyOpenGL
Summary(pl.UTF-8):	Programy demonstracyjne dla pakietu PyOpenGL
Group:		Development/Languages/Python
Requires:	python3-%{module} = %{epoch}:%{version}-%{release}

%description -n python3-%{module}-examples
Demos for PyOpenGL.

%description -n python3-%{module}-examples -l pl.UTF-8
Programy demonstracyjne dla pakietu PyOpenGL.

%prep
%setup -q -n %{module}-%{version} -a 1

%build
%if %{with python2}
%py_build

cd %{module}-Demo-3.0.1a1
%py_build
cd ..

%if %{with tests}
cd tests
%{__python} test_core.py
cd ..
%endif
%endif

%if %{with python3}
%py3_build

cd %{module}-Demo-3.0.1a1
%py3_build
cd ..

%if %{with tests}
cd tests
%{__python3} test_core.py
cd ..
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

cd %{module}-Demo-3.0.1a1
%py_install
cd ..

%py_postclean
%endif

%if %{with python3}
%py3_install

cd %{module}-Demo-3.0.1a1
%py3_install
cd ..
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc license.txt
%{py_sitescriptdir}/OpenGL
%{py_sitescriptdir}/PyOpenGL-%{version}-py*.egg-info

%files examples
%defattr(644,root,root,755)
%{py_sitescriptdir}/PyOpenGL-Demo
%{py_sitescriptdir}/PyOpenGL_Demo-3.0.1a1-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc license.txt
%{py3_sitescriptdir}/OpenGL
%{py3_sitescriptdir}/PyOpenGL-%{version}-py*.egg-info

%files -n python3-%{module}-examples
%defattr(644,root,root,755)
%{py3_sitescriptdir}/PyOpenGL-Demo
%{py3_sitescriptdir}/PyOpenGL_Demo-3.0.1a1-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyOpenGL.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> b6ddfaf
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7b3d324
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 28de219
- updated to 3.1.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c7b622
- python 3.7 rebuild
- release 12 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 81f5312
- python 3.6
- release 11 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 9d556ff
- release 10 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d39bd71
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 31e19e0
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87c537d
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b6e05e
- python3.5 rebuild
- release 8 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> eb942d1
- x32 rebuild
- release 7 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 58553d5
- python 3.4
- release 6 (by relup.sh)

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> f47042c
- added python3 packages
- rel 5

* Mon Jun 27 2011 Jan Rękorajski <baggins@pld-linux.org> 5ef1fb9
- rel 4
- R/BR python-numpy

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b261280
- release 3

* Thu May 06 2010 lisu <lisu@pld-linux.org> 29aaa0b
- reversed, 3.0.1 is final

* Tue May 04 2010 lisu <lisu@pld-linux.org> 1dfa3d0
- spare version variable for Demo package

* Tue May 04 2010 lisu <lisu@pld-linux.org> 39d4d77
- updated to 3.0.1b1

* Fri Apr 23 2010 Marcin Banasiak <marcin.banasiak@gmail.com> fe6972a
- epoch for internal deps
- release 2

* Fri Mar 05 2010 lisu <lisu@pld-linux.org> 0e09107
- up to 3.0.1 (it's final version)
- Epoch 1

